Bug 185739 - x86_64 hang on restart
x86_64 hang on restart
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: 185740 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-17 07:54 EST by Warren Stark
Modified: 2008-01-19 23:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Stark 2006-03-17 07:54:21 EST
Description of problem:
Machine hangs on restart. 

Version-Release number of selected component (if applicable):
Kernel 2.6.15-1.1833_FC4 
Hardware I have is an ASUS P5S800-VM motherboard running latest bios (1019.1). 
CPU is a Celeron D 2.8 Ghz.

How reproducible:
Every time

Steps to Reproduce:
1.shutdown -r now

Actual results:
Machine hangs after printing "Machine restart" on console.

Expected results:
Machine reboots

Additional info:
Output of any command available on request, quite willing to give anything a 
go to fix this :)
Comment 1 Dave Jones 2006-03-17 17:22:19 EST
*** Bug 185740 has been marked as a duplicate of this bug. ***
Comment 2 Warren Stark 2006-03-17 19:40:51 EST
Have tried following boot time options

I got the same effect with all - machine shuts down all services etc and prints
Restarting system
machine restart

Comment 3 Warren Stark 2006-03-17 20:06:50 EST
Found a post on the asus support forums for this motherboard here

The original poster in this forum was able to hack some kernel code (kernel 
2.4.something I think, i386 architecture) to be able to get a good reboot on 
this board. Maybe this will help with this board in kernel 2.6 and x86_64 

I had a quick look at kernel code in /arch/x86_64/kernel/reboot.c and it looks 
very similar to the code mentioned at the URL above but I can only find 
reference to machine_real_restart in i386... so that's where my hacking 
ends :) 

Comment 4 Dave Jones 2006-09-16 22:49:54 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 15:01:16 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Jon Stanley 2008-01-19 23:40:42 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.